# Class Environment

java.lang.Object
org.apache.zookeeper.Environment

public class Environment extends Object
Provide insight into the runtime environment.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Environment.Entry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JAAS_CONF_KEY`

## Constructor Summary

Constructors
Constructor
Description
`Environment()`

## Method Summary

Modifier and Type
Method
Description
`static List<Environment.Entry>`
`list()`
`static void`
`logEnv(String msg, org.slf4j.Logger log)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JAAS_CONF_KEY

public static final String JAAS_CONF_KEY

See Also:
  - Constant Field Values

## Constructor Details

### Environment

public Environment()

## Method Details

### list

public static List<Environment.Entry> list()

### logEnv

public static void logEnv(String msg, org.slf4j.Logger log)